<?
// список инвентори
// в $to цель, если есть
$stmp="";
echo "<div class='ramka'>";
		
if (!$to) {
$stmp.="<a href=\"$PHP_SELF?sid=$sid&look=$login\">[Инфо]</a>\n<br/>
<a href=\"$PHP_SELF?sid=$sid&list=skill\">[Навыки]</a>\n<br/>
<a href=\"$PHP_SELF?sid=$sid&list=par\">[Параметры]</a>

<br/><a href=\"$PHP_SELF?sid=$sid&servis=chn\">[Настройки]</a>


\n<br/><span style=\"color:green\">Рюкзак</span>";

} else {
if ($macro==1) $m="&macros=list&num=$num&name=$name&act=$act#add"; else $m='';

$stmp.="Выберите предмет: ";
}
// FIX: тут надо сортировать предметы в таком порядке: оружие, руны, напитки, броня, еда, прочее
if (count($player["items"])==0) $stmp.="<br/>У вас нет ни одного предмета";
$ind=0; $count=0; if(!$start) $start=0;
foreach(array_keys($player["items"]) as $i) {
if ($ind>=$start && $ind<$start+$count_show) {//FIX: может +1?
$k=split("\|",$player["items"][$i]);
$c=split("\|",$player["items"][$i]);
if ($k[1]>1) $k=$k[0].""; else $k=$k[0];
if ($od) $stmp.="<br/><u>Одето:</u>".$od;  
if ($player["equip"] && array_search($i,$player["equip"])) $odet.="[!]";
if ($to) {
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&inventar=menu&to=$to&use=".$i.$m."\">".$k."</a>";
} else {// основное меню
$stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&inventar=menu&to=$i&\">".$k."</a>".$odet." (".$c[1].")";
unset($odet);
}
}
$ind++;
}
if ($start) {$stmp.= "\n<br/><a href=\"$PHP_SELF?sid=$sid&list=inv\">^ </a>";}
if ($start+$count_show<=count($player["items"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= "<a href=\"$PHP_SELF?sid=$sid&list=inv&start=".($start+$count_show)."\">+ (".(count($player["items"])-$start-$count_show).")</a>";}
msg($stmp,"Предметы",1);
?>